<?php

/* DCMS Special
 * Дата последнего редактирования 01.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

include_once 'inc/functions.php';

$set['title'] = lang('Чёрный список'); // заголовок страницы

include_once H . 'sys/inc/thead.php';

if (isset($_GET['del'])) {
    access('adm_rekl_black_list', null, '?' . SID);
    $db->query("DELETE FROM `rekl_ban` WHERE `id` = '" . intval($_GET['del']) . "'");
    $_SESSION['message'] = lang('Пользователь успешно удалён с чёрного списка');
    header("Location: ?" . SID);
    exit();
}

if (isset($_POST['save'])) {
    access('adm_rekl_black_list', null, '?' . SID);

    $ank = $db->get_row($db->query("SELECT * FROM `user` WHERE `id` = '$_POST[user]' or `nick` = '$_POST[user]'"));

    if ($ank == NULL) {
        $err[] = lang('Пользователь с таким ID или логином не найден');
    }
    if ($ank['id'] == $user['id']) {
        $err[] = lang('Извините но нельзя себя добавлять');
    }

    $timeban = $time;

    if ($_POST['vremja'] == 'min') {
        $timeban += intval($_POST['time']) * 60;
    }
    if ($_POST['vremja'] == 'chas') {
        $timeban += intval($_POST['time']) * 60 * 60;
    }
    if ($_POST['vremja'] == 'sut') {
        $timeban += intval($_POST['time']) * 60 * 60 * 24;
    }
    if ($_POST['vremja'] == 'mes') {
        $timeban += intval($_POST['time']) * 60 * 60 * 24 * 30;
    }
    if ($timeban < $time) {
        $err[] = lang('Ошибка времени');
    }
    $prich = $_POST['prich'];

    if (utf8_strlen($prich) > 1024) {
        $err[] = lang('Причина слишком длинная');
    }
    if (utf8_strlen($prich) < 5) {
        $err[] = lang('Причина слишком короткая');
    }
    $prich = $db->safesql($prich);

    if (!isset($err)) {
        $db->query("INSERT INTO `rekl_ban` (`id_user`, `id_ban`, `prich`, `time`) VALUES ('$ank[id]', '$user[id]', '$prich', '$timeban')");
        admin_log('Пользователи', 'Чёрный список', "Добавление в чёрный список пользователя '[url=/info.php?id=$ank]$ank[nick][/url]' до " . date::time($timeban) . " по причине '$prich'");
        $_SESSION['message'] = lang('Пользователь успешно добавлен в чёрный список');
        header("Location: ?" . SID);
        exit();
    }
}

aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/shop/'>" . lang('Магазин') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/reklama/'>" . lang('Реклама') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Черный список');
echo "</small></div><br />";

if (isset($_SESSION['true'])) {
    msg('' . $_SESSION['true'] . '');
    unset($_SESSION['true']);
}

$k_post = $db->super_query("SELECT COUNT(*) as count FROM rekl_ban");
$k_post = $k_post['count'];
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

if ($k_post == 0) {
    $doc->NoResult();
}

$q = $db->query("SELECT * FROM `rekl_ban` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($post = $db->get_row($q)) {
    $ank = get_user($post['id_user']);
    $ank2 = get_user($post['id_ban']);

    echo "<div class='list-group-item-null'>\n";
    echo '<i class="fa fa-user fa-fw"></i> ' . $ank['nick'] . ' ' . ($post['time'] > $time ? '<i class="fa fa-lock fa-fw"></i>' : '<i class="fa fa-unlock fa-fw"></i>') . ' ' . (access('adm_rekl_black_list') ? '<a style="float: right" href="?del=' . $post['id'] . '"><i class="fa fa-trash-o fa-fw"></i></a>' : null) . '<br />';
    echo '<i class="fa fa-hourglass-end fa-fw"></i> Окончания: ' . date::time($post['time']) . '<br />';
    echo '<i class="fa fa-pencil fa-fw"></i> Причина: ' . toOutput($post['prich']) . ' (' . $ank2['nick'] . ')<br />';
    echo "</div>\n";
    echo "<div class='hr'></div>";
}

if (isset($_GET['add']) && access('adm_rekl_black_list')) {
    echo "<form method='post' action='?$passgen' class='list-group-item-null'>\n";
    $doc->Input('user', 'Введите ID или логин пользователя');
    $doc->Textarea('prich', 'Причина');

    echo "" . lang('Время бана') . ":<br />\n";
    echo "<input type='number' name='time' class='form-control' style='width: 40%;' value='10' />\n";
    echo "<select class='form-control' name=\"vremja\" style='width: 40%;'>\n";
    echo "<option value='min'>Минуты</option>\n";
    echo "<option " . (($k_post > 1) ? 'selected="selected" ' : null) . "value='chas'>Часы</option>\n";
    echo "<option value='sut'>Сутки</option>\n";
    echo "<option value='mes'>Месяцы</option>\n";
    echo "</select><br />\n";
    $doc->Button('btn btn-primary btn-sm', 'save', 'plus', 'Добавить');
    echo "</form>\n";
}
if ($k_page > 1) {
    str('?', $k_page, $page);
}

if (access('adm_rekl_black_list')) {
    echo "<div class='list-group-item-null list-group-item-grey'>";
    $doc->Link(null, '?add', 'plus', 'Добавить пользователя');
    echo "</div>";
}

include_once H . 'sys/inc/tfoot.php';

